<?php

namespace App\Helpers\FirstParty\DFS;

class DFSResponse
{
    protected $response;

    public function __construct($response)
    {
        $this->response = $response;
    }

    public function isSuccessful()
    {
        return ($this->response->status_code == 20000) ? true : false;
    }

    public function getStatusCode()
    {
        return $this->response->status_code;
    }

    public function getStatusMessage()
    {
        return $this->response->status_message;
    }

    public function getTasks()
    {
        return $this->response->tasks;
    }

    public function getResult()
    {
        return $this->response->result;
    }

    public function getResultCount()
    {
        return $this->response->result_count;
    }

    public function getId()
    {
        return $this->response->id;
    }

    public function getCost()
    {
        return $this->response->cost;
    }

    public function getPath()
    {
        return $this->response->path;
    }

    public function getData()
    {
        return $this->response->data;
    }
}
